=== modified file 'bzrlib/help.py'
--- bzrlib/help.py	2005-10-19 05:30:42 +0000
+++ bzrlib/help.py	2005-10-28 02:34:22 +0000
@@ -131,7 +131,7 @@
         short_name = option.short_name()
         if short_name:
             assert len(short_name) == 1
-            l += ', -' + shortname
+            l += ', -' + short_name
         l += (30 - len(l)) * ' ' + option.help
         # TODO: split help over multiple lines with correct indenting and 
         # wrapping

=== modified file 'bzrlib/option.py'
--- bzrlib/option.py	2005-10-27 23:41:45 +0000
+++ bzrlib/option.py	2005-10-28 02:34:22 +0000
@@ -155,7 +155,9 @@
 
         Short options are globally registered.
         """
-        return Option.SHORT_OPTIONS.get(self.name)
+        for short, option in Option.SHORT_OPTIONS.iteritems():
+            if option is self:
+                return short
 
 
 def _global_option(name, **kwargs):

=== modified file 'bzrlib/selftest/testoptions.py'
--- bzrlib/selftest/testoptions.py	2005-10-14 09:42:49 +0000
+++ bzrlib/selftest/testoptions.py	2005-10-28 02:34:22 +0000
@@ -29,6 +29,7 @@
         """Options have help strings."""
         out, err = self.run_bzr_captured(['commit', '--help'])
         self.assertContainsRe(out, r'--file.*file containing commit message')
+        self.assertContainsRe(out, r'--help.*-h')
 
     def test_option_help_global(self):
         """Global options have help strings."""

